[postgis-tickets] [SCM] PostGIS branch master updated. e783b93435c8d24e65ef6574431e467385bb6a50
git at osgeo.org
git at osgeo.org
Thu Dec 19 05:22:01 PST 2019
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".
The branch, master has been updated
via e783b93435c8d24e65ef6574431e467385bb6a50 (commit)
from 47f6f436e96ffe3a2e828815f381a88ed3642d26 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit e783b93435c8d24e65ef6574431e467385bb6a50
Author: Sandro Santilli <strk at kbt.io>
Date: Thu Dec 19 14:21:27 2019 +0100
Do not exit on filure failure with ticket references
Also print test failure messages to stdout
diff --git a/utils/check_news.sh b/utils/check_news.sh
index d356d9e..5901e7d 100755
--- a/utils/check_news.sh
+++ b/utils/check_news.sh
@@ -49,7 +49,7 @@ grep -B1 '^[0-9]\{4\}/[0-9]\{2\}/[0-9]\{2\}' NEWS |
ts=$( date -d "${date}" '+%s' )
pts=$( date -d "${pdate}" '+%s' )
if test $ts -gt $pts; then
- echo "FAIL: ${rel} (${date}) appears after ${prel} (${pdate})" >&2
+ echo "FAIL: ${rel} (${date}) appears after ${prel} (${pdate})"
exit 1
fi
if test "${VERBOSE}" = yes; then
@@ -70,18 +70,19 @@ if test "${TICKET_REFS}" = "yes"; then
xargs git log --no-walk --pretty='format:%B' |
sed -En 's|#([0-9]+)|\a\1\n|;/\n/!b;s|.*\a||;P;D' |
sort -nru |
- while read ref; do
+ { failures=0; while read ref; do
ref="#${ref}"
if ! grep -qw "${ref}" NEWS; then
- echo "FAIL: Reference to commit-logged ticket ref ${ref} missing from NEWS" >&2
- exit 1
+ echo "FAIL: Ticket ${ref} MISSING from NEWS"
+ failures=$((failures+1))
+ #exit 1
else
if test "${VERBOSE}" = yes; then
- echo "INFO: Reference to commit-logged ticket ref ${ref} found in NEWS"
+ echo "INFO: Ticket ${ref} found in NEWS"
fi
fi
- done
- test $? = 0 || exit 1
+ done; exit $failures; }
+ test $? = 0 || exit $?
echo "PASS: All ticket references in commits log found in NEWS"
else
echo "SKIP: GIT history cannot be checked (missing git or missing ${RD}/.git)"
-----------------------------------------------------------------------
Summary of changes:
utils/check_news.sh | 15 ++++++++-------
1 file changed, 8 insertions(+), 7 deletions(-)
hooks/post-receive
--
PostGIS
More information about the postgis-tickets
mailing list